Description

It's more of a question to be honest, | noticed this feature added in some other emulators (PPSSPP and Dolphin comes to mind) and
it kinda makes 30fps games run 'smoother'. When | play a 30fps game | always enable frame interpolation on TV and it seems to
'stutter' from time to time (also happens with interpolation disabled, just less noticeable), it doesn't happen when frames are
duplicated to 60fps.

Is it possible to add such feature to Cemu?

History

#1 - 10/13/2021 07:14 PM - Zalnor

- Status changed from New to Closed

Adding something like this in cemu would be pointless as 30fps games already run at 60hz nativly. Thus show a frame for 2x already.

#2 - 10/14/2021 12:00 AM - Exzap

FYI We have an experimental vsync option that will give perfectly smooth output of 30 FPS games on 60 Hz monitors (without VRR). Internally it
operates on a pretty similar idea to duplicate frame insertion, except that it only simulates frames but doesn't output them.

There is one catch however, it doesn't work on BotW with FPS++ enabled and set to 30 FPS limit (60 FPS and above is fine). Thats an issue of the
pack which hopefully will be fixed one day.

#3 - 10/14/2021 06:58 PM - Duke912

@ Zalnor:

| think the topic name was a bit misled, it's duplicate to 60fps. Also, | don't think the duplicated frames are outputing, for instance, I'm playing wind
waker and twilight princess HD in the last few days, and the frame rate shown in afterburner are 30(which is the fps the games running), If | play on
dolphin with skip duplicated fps enabled, it'll play exactly the same as the HD version (also shown as 30fps in afterburner), but disabling that option,
it'll show 60 instead of the 30, and the random 'micro-stutter' will go away (the game still running at 30, but somewhat 'smoother’).

@ Exzap:

Is that vsync option available in the latest public version?
